import { MimeTypeRegistry } from './utils/mime';
import { CustomFormats, ExegesisOptions, StringParser, BodyParser, Controllers, Authenticators, ResponseValidationCallback } from './types';
import { HandleErrorFunction } from './types/options';
export interface ExegesisCompiledOptions {
    customFormats: CustomFormats;
    controllers: Controllers;
    authenticators: Authenticators;
    bodyParsers: MimeTypeRegistry<BodyParser>;
    parameterParsers: MimeTypeRegistry<StringParser>;
    defaultMaxBodySize: number;
    ignoreServers: boolean;
    allowMissingControllers: boolean;
    autoHandleHttpErrors: boolean | HandleErrorFunction;
    onResponseValidationError: ResponseValidationCallback;
    validateDefaultResponses: boolean;
    allErrors: boolean;
    treatReturnedJsonAsPure: boolean;
}
export declare function compileOptions(options?: ExegesisOptions): ExegesisCompiledOptions;
